# %{ver}, %{rel}, %{name} provided by Makefile
%define ver 5.0.0.0
%define rel 1
%define pkgname lsb-app-checker

# LSB Compliant packages require the following in ~/.rpmmacros
#%_binary_payload	w9.gzdio

Summary: Linux Application Checker
Vendor: Linux Foundation
# name, ver, rel are passed in from Makefile so we only have to set them one place
Name: %{pkgname}
Version: %{ver}
Release: %{rel}
Source: %{name}-%{version}.tar.gz
License: GPL
URL: http://www.linuxfoundation.org/collaborate/workgroups/lsb/download
Group: Development/Tools
Buildroot: %{_builddir}/%{name}-root
AutoReqProv: no
Requires: lsb-setup, lsb-appchk, lsb-appchk-perl, lsb-appchk-python, lsb-appchk-shell, lsb-pkgchk

%description
Linux Application Checker wraps all the current LSB test applications into a
user-friendly web-based environment with unified test management and analysis
capabilities. This facilitates test execution and results analysis thus making
the LSB tests more attractive for upstream developers as well as making
certification process technically more inviting.

%prep

%setup

%build

%install

rm -rf $RPM_BUILD_ROOT/opt/lsb/app-checker
mkdir -p $RPM_BUILD_ROOT/opt/lsb/app-checker
rm -rf $RPM_BUILD_ROOT/etc/opt/lsb/app-checker
mkdir -p $RPM_BUILD_ROOT/etc/opt/lsb/app-checker
rm -rf $RPM_BUILD_ROOT/var/opt/lsb/app-checker
mkdir -p $RPM_BUILD_ROOT/var/opt/lsb/app-checker
cp -r webui bin utils  LICENSE README $RPM_BUILD_ROOT/opt/lsb/app-checker
cp -r config/* $RPM_BUILD_ROOT/etc/opt/lsb/app-checker
cp -r dbdata $RPM_BUILD_ROOT/var/opt/lsb/app-checker
cd ..

%files
%defattr(-,root,root)
%dir /etc/opt/lsb
%dir /var/opt/lsb

%defattr(-,linuxappchecker,linuxappchecker)
/opt/lsb/app-checker
/etc/opt/lsb/app-checker
%dir /var/opt/lsb/app-checker
%attr(777,linuxappchecker,linuxappchecker) %dir /var/opt/lsb/app-checker/dbdata
%attr(666,linuxappchecker,linuxappchecker) /var/opt/lsb/app-checker/dbdata/*
%doc /opt/lsb/app-checker/README

%pre
if [ "$1" = "1" -o "$1" = "install" ] ; then # install
	getent group linuxappchecker >/dev/null || groupadd linuxappchecker
	getent passwd linuxappchecker >/dev/null || useradd -c "Linux Application Checker restricted user" -d /opt/lsb/app-checker -g linuxappchecker -r linuxappchecker
fi

%post
echo "Installed successfully."
RESULT=0

if [ ! -x /usr/bin/perl ] ; then
	echo
	echo "Warning: Couldn't find /usr/bin/perl."
	echo "Perl is required for Linux Application Checker. Please install it"
	echo "using the tools provided by your distro."
	echo
	RESULT=1
fi

getent group linuxappchecker >/dev/null || groupadd linuxappchecker
getent passwd linuxappchecker >/dev/null || useradd -c "Linux Application Checker restricted user" -d /opt/lsb/app-checker -g linuxappchecker -r linuxappchecker

chown -R linuxappchecker:linuxappchecker /opt/lsb/app-checker /var/opt/lsb/app-checker /etc/opt/lsb/app-checker
chmod -R a+w /var/opt/lsb/app-checker/dbdata

# put out a message
echo "__________________________________________________________________________"
echo "Linux Application Checker has been installed to"
echo "/opt/lsb/app-checker"
if [ $RESULT -ne 0 ]; then
	echo
	echo "There were warnings."
fi
echo
echo "Use /opt/lsb/app-checker/bin/app-checker-start.pl to run Linux AppChecker."
echo
echo "Read more info at"
echo "http://ispras.linuxbase.org/index.php/About_Linux_Application_Checker"
echo "or"
echo "/opt/lsb/app-checker/README"
echo
# End of the postinstall script.

%postun
if [ "$1" = "0" -o "$1" = "remove" ] ; then # remove
	echo " Removing user and group 'linuxappchecker'."
	userdel linuxappchecker >/dev/null 2>&1
	groupdel linuxappchecker >/dev/null 2>&1
	if [ $1 = "0" -o $1 = "remove" ]; then
		echo " Linux Application Checker has been uninstalled."
		if [ -d /var/opt/lsb/app-checker ]; then
			if [ -n "`ls /var/opt/lsb/app-checker`" ]; then
				echo " There are files left in /var/opt/lsb/app-checker. You could delete them all."
			fi
		fi
	fi
fi

%clean
if [ ! -z "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ]; then
	rm -rf ${RPM_BUILD_ROOT}
fi
